# Overview

Luciq SDK for Kotlin Multiplatform (KMP) lets you integrate [Bug Reporting](https://www.luciq.ai/product/bug-reporting), [Crash Reporting](https://www.luciq.ai/product/crash-reporting), [App Performance Monitoring](https://www.luciq.ai/product/app-performance-monitoring), and more in shared Kotlin code for **Android** and **iOS**.

This can be done through the main products supported by the KMP library:

1. **Bug Reporting**
2. **Crash Reporting**
3. **App Performance Monitoring**
4. **Session Replay**
5. **In-App Replies**
6. **In-App Surveys**
7. **Feature Requests**
8. **Network Logging** (Ktor plugin)

| Feature           | Status | Comment                  |
| ----------------- | ------ | ------------------------ |
| Bug Reporting     | √      | -                        |
| Crash Reporting   | √      | -                        |
| Session Replay    | √      | -                        |
| In-App Chat       | √      | -                        |
| In-App Surveys    | √      | -                        |
| Feature Requests  | √      | -                        |
| User Events       | √      | -                        |
| Repro Steps       | √      | -                        |
| Identify User     | √      | -                        |
| User Attributes   | √      | -                        |
| Network Logs      | √      | Ktor plugin + manual API |
| Tagging Reports   | √      | -                        |
| App Launch        | √      | -                        |
| Flows / UI Traces | √      | -                        |

The library is published as `ai.luciq-library:luciq-kmp` (Android) and CocoaPods `LuciqKMP` (iOS). Use the same API from `commonMain` and configure platform-specific options in `androidMain` or `iosMain` where needed.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.luciq.ai/kmp/readme.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
